path: /build/build/libdmapsharing-net-libs-3.0-2.9.39.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test introspection" emerge net-libs/libdmapsharing:3.0 -pv -t && \
    USE="-test introspection" emerge -j ${JOBS} --nodeps net-libs/libdmapsharing:3.0
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libdmapsharing && luet-portage --dir
    /pkgdir/libdmapsharing net-libs/libdmapsharing:3.0 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:aca5ccec5807af03bacef66fd1e74ccc1b2bebfac1c762f1348eb71634edb5a6
  package:
    name: libdmapsharing
    version: 2.9.39
    category: net-libs-3.0
    use_flags:
    - -test
    - introspection
    requires:
    - name: dleyna-server
      version: '>=0'
      category: net-misc
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A library that implements the DMAP family of protocols
    uri:
    - https://www.flyn.org/projects/libdmapsharing/
    license: LGPL-2.1
    buildtimestamp: 2023-09-12 05:44:31.156454277 +0000 UTC m=+123.753537290
    labels:
      DEPEND: '>=dev-libs/glib-2.36:2 x11-libs/gdk-pixbuf:2 >=net-dns/avahi-0.6[dbus]
        >=net-libs/libsoup-2.48.0:2.4 media-libs/gstreamer:1.0 media-libs/gst-plugins-base:1.0
        sys-libs/zlib introspection? ( >=dev-libs/gobject-introspection-1.30:= ) dev-util/glib-utils
        dev-util/gtk-doc-am virtual/pkgconfig test? ( >=dev-libs/check-0.9.4 ) >=app-portage/elt-patches-20170815
        app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info'
      IUSE: +introspection test
      RDEPEND: '>=dev-libs/glib-2.36:2 x11-libs/gdk-pixbuf:2 >=net-dns/avahi-0.6[dbus]
        >=net-libs/libsoup-2.48.0:2.4 media-libs/gstreamer:1.0 media-libs/gst-plugins-base:1.0
        sys-libs/zlib introspection? ( >=dev-libs/gobject-introspection-1.30:= )'
      emerge.packages: net-libs/libdmapsharing:3.0
      kit: net-kit
      original.package.name: net-libs/libdmapsharing
      original.package.slot: "3.0"
      original.package.version: 2.9.39
    treedir: /build/packages
  package_dir: /pkgdir/libdmapsharing
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e492d45f7f4a42e1d914a5b23bdf56869d31e001ff8862a17801355650f4dd31
compressiontype: zstd
files:
- usr/include/libdmapsharing-3.0/libdmapsharing/daap-connection.h
- usr/include/libdmapsharing-3.0/libdmapsharing/daap-record.h
- usr/include/libdmapsharing-3.0/libdmapsharing/daap-share.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dacp-connection.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dacp-player.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dacp-share.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-connection.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-container-db.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-container-record.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-db.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-enums.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-gst-input-stream.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-md5.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-mdns-browser.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-mdns-publisher.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-record-factory.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-record.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-share.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-structure.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap-utils.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dmap.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dpap-connection.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dpap-record.h
- usr/include/libdmapsharing-3.0/libdmapsharing/dpap-share.h
- usr/lib64/girepository-1.0/DMAP-3.0.typelib
- usr/lib64/libdmapsharing-3.0.so
- usr/lib64/libdmapsharing-3.0.so.2
- usr/lib64/libdmapsharing-3.0.so.2.9.39
- usr/lib64/pkgconfig/libdmapsharing-3.0.pc
- usr/share/doc/libdmapsharing-2.9.39/AUTHORS.bz2
- usr/share/doc/libdmapsharing-2.9.39/ChangeLog.bz2
- usr/share/doc/libdmapsharing-2.9.39/README-Memory.bz2
- usr/share/doc/libdmapsharing-2.9.39/README.bz2
- usr/share/doc/libdmapsharing-2.9.39/TODO.bz2
- usr/share/gir-1.0/DMAP-3.0.gir
- usr/share/gtk-doc/html/libdmapsharing-3.0/api-index-full.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/ch01.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/deprecated-api-index.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/home.png
- usr/share/gtk-doc/html/libdmapsharing-3.0/index.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/left-insensitive.png
- usr/share/gtk-doc/html/libdmapsharing-3.0/left.png
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-DAAPRecord.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-DACPPlayer.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-DMAPContainerDb.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-DMAPContainerRecord.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-DMAPDb.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-DMAPMdnsBrowser.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-DMAPRecord.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-DMAPRecordFactory.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-DPAPRecord.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-daap-connection.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-daap-share.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dacp-connection.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dacp-share.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dmap-connection.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dmap-enums.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dmap-gst-input-stream.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dmap-gst-mp3-input-stream.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dmap-gst-wav-input-stream.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dmap-share.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dpap-connection.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0-dpap-share.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/libdmapsharing-3.0.devhelp2
- usr/share/gtk-doc/html/libdmapsharing-3.0/object-tree.html
- usr/share/gtk-doc/html/libdmapsharing-3.0/right-insensitive.png
- usr/share/gtk-doc/html/libdmapsharing-3.0/right.png
- usr/share/gtk-doc/html/libdmapsharing-3.0/style.css
- usr/share/gtk-doc/html/libdmapsharing-3.0/up-insensitive.png
- usr/share/gtk-doc/html/libdmapsharing-3.0/up.png
- usr/share/vala/vapi/libdmapsharing-3.0.vapi
- var/db/pkg/net-libs/libdmapsharing-2.9.39/BUILD_TIME
- var/db/pkg/net-libs/libdmapsharing-2.9.39/CATEGORY
- var/db/pkg/net-libs/libdmapsharing-2.9.39/CBUILD
- var/db/pkg/net-libs/libdmapsharing-2.9.39/CFLAGS
- var/db/pkg/net-libs/libdmapsharing-2.9.39/CHOST
- var/db/pkg/net-libs/libdmapsharing-2.9.39/CONTENTS
- var/db/pkg/net-libs/libdmapsharing-2.9.39/COUNTER
- var/db/pkg/net-libs/libdmapsharing-2.9.39/CXXFLAGS
- var/db/pkg/net-libs/libdmapsharing-2.9.39/DEFINED_PHASES
- var/db/pkg/net-libs/libdmapsharing-2.9.39/DEPEND
- var/db/pkg/net-libs/libdmapsharing-2.9.39/DESCRIPTION
- var/db/pkg/net-libs/libdmapsharing-2.9.39/EAPI
- var/db/pkg/net-libs/libdmapsharing-2.9.39/FEATURES
- var/db/pkg/net-libs/libdmapsharing-2.9.39/HOMEPAGE
- var/db/pkg/net-libs/libdmapsharing-2.9.39/INHERITED
- var/db/pkg/net-libs/libdmapsharing-2.9.39/IUSE
- var/db/pkg/net-libs/libdmapsharing-2.9.39/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libdmapsharing-2.9.39/KEYWORDS
- var/db/pkg/net-libs/libdmapsharing-2.9.39/LDFLAGS
- var/db/pkg/net-libs/libdmapsharing-2.9.39/LICENSE
- var/db/pkg/net-libs/libdmapsharing-2.9.39/NEEDED
- var/db/pkg/net-libs/libdmapsharing-2.9.39/PF
- var/db/pkg/net-libs/libdmapsharing-2.9.39/PROVIDES
- var/db/pkg/net-libs/libdmapsharing-2.9.39/RDEPEND
- var/db/pkg/net-libs/libdmapsharing-2.9.39/REQUIRES
- var/db/pkg/net-libs/libdmapsharing-2.9.39/SIZE
- var/db/pkg/net-libs/libdmapsharing-2.9.39/SLOT
- var/db/pkg/net-libs/libdmapsharing-2.9.39/USE
- var/db/pkg/net-libs/libdmapsharing-2.9.39/environment.bz2
- var/db/pkg/net-libs/libdmapsharing-2.9.39/libdmapsharing-2.9.39.ebuild
- var/db/pkg/net-libs/libdmapsharing-2.9.39/repository
package_cacheimage: ""
runtime:
  name: libdmapsharing
  version: 2.9.39
  category: net-libs-3.0
  use_flags:
  - -test
  - introspection
  requires:
  - name: gst-plugins-base
    version: '>=0'
    category: media-libs-1.0
  - name: avahi
    version: '>=0'
    category: net-dns
  - name: libsoup
    version: '>=0'
    category: net-libs-2.4
  - name: zlib
    version: '>=0'
    category: sys-libs
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A library that implements the DMAP family of protocols
  uri:
  - https://www.flyn.org/projects/libdmapsharing/
  license: LGPL-2.1
  labels:
    DEPEND: '>=dev-libs/glib-2.36:2 x11-libs/gdk-pixbuf:2 >=net-dns/avahi-0.6[dbus]
      >=net-libs/libsoup-2.48.0:2.4 media-libs/gstreamer:1.0 media-libs/gst-plugins-base:1.0
      sys-libs/zlib introspection? ( >=dev-libs/gobject-introspection-1.30:= ) dev-util/glib-utils
      dev-util/gtk-doc-am virtual/pkgconfig test? ( >=dev-libs/check-0.9.4 ) >=app-portage/elt-patches-20170815
      app-arch/xz-utils dev-util/desktop-file-utils x11-misc/shared-mime-info'
    IUSE: +introspection test
    RDEPEND: '>=dev-libs/glib-2.36:2 x11-libs/gdk-pixbuf:2 >=net-dns/avahi-0.6[dbus]
      >=net-libs/libsoup-2.48.0:2.4 media-libs/gstreamer:1.0 media-libs/gst-plugins-base:1.0
      sys-libs/zlib introspection? ( >=dev-libs/gobject-introspection-1.30:= )'
    emerge.packages: net-libs/libdmapsharing:3.0
    kit: net-kit
    original.package.name: net-libs/libdmapsharing
    original.package.slot: "3.0"
    original.package.version: 2.9.39
